using BPA.KitChen.GroupMeal.Application.BaseDto;
using BPA.KitChen.GroupMeal.Application.Service.OneCard.PayCardInfo.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Application.Service.OneCard.PayCardInfo
{
    public interface IPayCardInfoService
    {
        Task<PageUtil> GetGateList(PayCardInfoQueryInputDto inputDto);

        Task<List<PayCardInfoQueryDto>> GetGateAllList(PayCardInfoQueryAllInputDto inputDto);

        Task<bool> Add(PayCardInfoAddDto inputDto);
        Task<bool> Update(PayCardInfoUpdateDto inputDto);
        Task<bool> Enable(PayCardInfoEnableDto inputDto);
    }
}
